# Creating Patches

My favorite thing to design is iron-/sew-on patches.  I like the idea that I can create a neat little object that I can hand to people.

Designing patches is pretty simple: just create a design with a satin border.  I generally make the border 2-3mm satin with a fairly dense zig-zag, often 0.28mm.  This gives a nice sturdy, solid edge to the patch.

The trickiest part to sewing a patch is to separate it from the background fabric.  I tried many methods before settling on one I liked.  I'll briefly review them in hopes that I can save you the time of trying them, then I'll share my favorite method.

## Try 1: Soluble Stabilizer

Instead of using tear- or cut-away stabilizer, you can use a strong water-soluble stabilizer like Sulky Ultra Solvy.  You stack a layer of fabric on top of the soluble stabilizer, possibly with a tear-away stabilizer in between.  When you create your design, you add a "die line", which is an outline of running stitch with a 2-3mm stitch length, followed by a pause (a color change).

The sewing machine stops after sewing the die line (due to the color change), and you take that opportunity to cut away the fabric around your patch using embroidery scissors.  Embroidery scissors are bent slighty at the end, allowing you to cut the fabric while it is still in the hoop.  The goal is to cut as close as possible to the die-line without nicking it many times and without cutting the soluble stabilizer.

Then you continue sewing the design.  Usually the die-line is followed by satin stitch that follows the same path, covering up the raw fabric edge that you've just cut.

When sewing is complete, the soluble stabilizer is heavily perforated and usually pulls away quite easily.  Then you submerge the patch in water to remove the rest of the stabilizer and you're left with a stand-alone patch.

I found that this technique often leaves a rough or uneven edge, for a couple of reasons.  First, the soluble stabilizer often doesn't perforate evenly and leaves chunks that disrupt the satin stitch.  Additionally, especially for round shapes, some parts of the edge will be cut on the bias while some won't.  The satin stitch will sink into these parts of the fabric differently, resulting in variance in the thickness of the satin stitch edge.

## Try 2: Insoluble Stabilizer and Careful Cutting

My second attempt also used the die-line technique.  Instead of using soluble stabilizer, I used tear- and cut-away stabilizer (in separate trials).  I cut around the die-line completely through the fabric and stabilizer in the hoop, one inch at a time.  After each cut, I allowed the machine to sew that inch, stopped it, and taped the satin stitch back to the stabilizer before continuing with a new cut.

This technique produces surprisingly good results, if you can pull it off.  The problem is that it's hard to tape the severed edges together effectively so that the patch remains in the correct place relative to the hoop.  More importantly, this is an incredibly time-intensive procedure.

Back to the drawing board.

## Try 3: Glue and Cut Carefully

This time, I did away with the die-line entirely.  I sewed the entire patch out on fabric + stabilizer.  The I unhooped it and followed [this tutorial](https://www.youtube.com/watch?v=bHdeFWNVqmk).

The general method is to liberally coat the outside satin stitch with Fray Check, a thread glue, then carefully cut away the fabric from the outside.  I found that it's very difficult to cut the fabric accurately, and no amount of Fray Check can save you if you nick several threads in a row.

I also experimented with cutting not quite to the edge and shaving the remaining fabric away using my electric shaver (no kidding).  This is actually somewhat effective, but I'm not sure how well my shaver enjoyed it, and I didn't exactly enjoy breathing polyester dust.

# Best method: Hot Knife

I avoided this method for quite awhile, expecting that I wouldn't be able to produce good results with my unsteady hands.  As it turns out, I picked up the skill quite quickly and I'm able to consistently produce good results.

Like in try #3 above, I sew my patch onto stabilized fabric without a die-line and unhoop it.  I take care to sew on 100% polyester fabric using polyester top and bobbin thread.  The stabilizer needn't be polyester.  I use two layers of iron-on tear-away stabilizer because I find that it's fairly effective in reducing distortion and it's easy to remove.

Next, I remove the stabilizer from the back, one sheet at a time.  When tearing, I try to tear perpendicular to the edge of the patch while pressing down on the satin edge.  This limits distortion caused by pulling.

At this point, I apply Heat 'n' Bond Ultra to the back of the patch using an iron.  This product can be used to create iron-on patches that can be bonded to clothing or other fabric with an iron.  I haven't had any luck ironing on patches and found that my attempts just melted the embroidery thread (oops).  I'm actually only using the Heat 'n' Bond to hold the loose threads on the back in place and to give the patch a little bit of sturdiness.

Now comes the tricky bit.  Using a hot knife, you cut the fabric away from the edge of the patch while also melting the edge of the satin.  Even if you're a bit unsteady, this melting means that your satin stitch won't unravel.  Colman has produced a [video illustration](https://www.youtube.com/watch?v=Bm7yhDgp5ok) of this technique along with live demonstrations.

A hot knife is a tool used for wood burning, cutting, and other art projects.  I bought [this one](https://www.amazon.com/Walnut-Hollow-Versa-Temp-Temperature-Woodburning/dp/B005P1TRAS/ref=sr_1_8?ie=UTF8&qid=1485328701&sr=8-8&keywords=hot+knife) from Amazon that has an adjustable temperature.  The goal is to get the temperature _just_ above the melting point of polyester, so that you're melting but not burning the thread and fabric.  If the plastic on the knife turns brown, it's too hot, and the brown will leave scorch marks on your patch.  Be sure to wipe off the melted polyester often as show in the video.

I cut my patches on a piece of glass using the point of the "universal tip".  The glass makes for an excellent cutting surface, and I was able to build up my skill quite quickly even though I'm generally not very good at fine-detail hand-work like this.

I try to cut _just_ inside the satin.  The goal is to cut away the fabric entirely but to avoid cutting entirely through the satin.  Using this technique, I'm able to cut white backing fabric away from black satin and leave only minimal whitish residue that's almost invisible.  I run the edge of my hot knife (not the barrel as shown in the video) over the patch edge at the end to smooth it out nicely.

Check out some example patches I've made in [images/patches](images/patches).
